const LAUNCHPAD_API_ROOT = 'https://api.launchpad.net/devel/';
const LAUNCHPAD_BUG_STATUSES = {
    open: ['New', 'Incomplete', 'Triaged', 'Opinion', 'Confirmed', 'In Progress', 'Fix Committed'],
    closed: {
        completed: ['Fix Released'],
        notPlanned: ["Won't Fix", 'Expired', 'Invalid'],
    },
};

const GITHUB_LABELS = {
    miscellaneous: {
        launchpadTransfer: {
            name: 'transferred from Launchpad',
            color: 'eeeeee',
        },
        bug: {
            name: 'type: bug',
            color: 'd73a4a',
        },
        blueprint: {
            name: 'type: blueprint',
            color: '0075ca',
        },
    },
    priority: {
        undecided: {
            name: 'priority: undecided',
            color: 'eeeeee',
        },
        wishlist: {
            name: 'priority: wishlist',
            color: 'eeeeee',
        },
        low: {
            name: 'priority: low',
            color: 'fef2c0',
        },
        medium: {
            name: 'priority: medium',
            color: 'fbca04',
        },
        high: {
            name: 'priority: high',
            color: 'ff7619',
        },
        critical: {
            name: 'priority: critical',
            color: '000000',
        },
    },
    status: {
        invalid: {
            name: 'status: invalid',
            color: 'eeeeee',
        },
        wontFix: {
            name: "status: won't fix",
            color: 'eeeeee',
        },
        expired: {
            name: 'status: expired',
            color: 'eeeeee',
        },
        opinion: {
            name: 'status: opinion',
            color: 'bfe5bf',
        },
        confirmed: {
            name: 'status: confirmed',
            color: 'bfe5bf',
        },
        triaged: {
            name: 'status: triaged',
            color: 'bfe5bf',
        },
        inProgress: {
            name: 'status: in progress',
            color: 'bfe5bf',
        },
        fixCommitted: {
            name: 'status: fix committed',
            color: '0e8a16',
        },
        fixReleased: {
            name: 'status: fix released',
            color: '0e8a16',
        },
    },
    definition: {
        approved: {
            name: 'definition: approved',
            color: '0052CC',
        },
        pendingApproval: {
            name: 'definition: pending approval',
            color: '84b6eb',
        },
        review: {
            name: 'definition: review',
            color: '84b6eb',
        },
        drafting: {
            name: 'definition: drafting',
            color: '84b6eb',
        },
        discussion: {
            name: 'definition: discussion',
            color: '84b6eb',
        },
        new: {
            name: 'definition: new',
            color: '84b6eb',
        },
        superseded: {
            name: 'definition: superseded',
            color: 'eeeeee',
        },
        obsolete: {
            name: 'definition: obsolete',
            color: 'eeeeee',
        },
    },
    implementation: {
        notStarted: {
            name: 'implementation: not started',
            color: 'eeeeee',
        },
        blocked: {
            name: 'implementation: blocked',
            color: 'd4c5f9',
        },
        started: {
            name: 'implementation: started',
            color: 'd4c5f9',
        },
        progressing: {
            name: 'implementation: progressing',
            color: 'b4a8d1',
        },
        betaAvailable: {
            name: 'implementation: beta available',
            color: 'cc317c',
        },
        needsCodeReview: {
            name: 'implementation: needs code review',
            color: 'cc317c',
        },
        implemented: {
            name: 'implementation: implemented',
            color: '5319e7',
        },
    },
};

const LAUNCHPAD_CONSUMER_KEY = 'Open Rails Launchpad to GitHub migration script';

export { LAUNCHPAD_API_ROOT, LAUNCHPAD_BUG_STATUSES, GITHUB_LABELS, LAUNCHPAD_CONSUMER_KEY };
